# determineCandidateArguments method

1. @protected

Future<List<ArgumentValue>?> determineCandidateArguments(

1. String podName,
2. Executable executable,
3. List<Parameter> parameters

)

Determines the candidate arguments for a pod instance.

This method is used to determine the candidate arguments for a pod instance. It is called by create and getObject methods.

@param podName The name of the pod being created @param executable The executable to determine the candidate arguments for @param parameters The parameters of the executable @return The candidate arguments

## Implementation

    @protected
    Future<List<ArgumentValue>?> determineCandidateArguments(String podName, Executable executable, List<Parameter> parameters) async {
      if (hasInstantiationPodPostProcessors()) {
        for (final iap in getPodProcessorCacheManager().instantiation) {
          final args = await iap.determineCandidateArguments(podName, executable, parameters);
          if (args != null) {
            return args;
          }
        }
    		}

      return null;
    }